/****************************************************************************

 ■PhotoFrame
	設定ファイルアクセス
        Copyright(C) 2018 Denshi Usagi

****************************************************************************/

#ifndef SETTINGS_H
#define SETTINGS_H

#include "TypeDefs.h"

class CSettings
{
public:
	CSettings(PCSTR pFile);

	String ReadStr(PCSTR pKey, PCSTR pDefault);
	int ReadInt(PCSTR pKey, int nDefault);
	void WriteStr(PCSTR pKey, PCSTR pValue);
	void WriteInt(PCSTR pKey, int nValue);

private:
	String Trim(const String& str);

private:
	String m_FilePath;
	String m_TempPath;
};

#endif /* SETTINGS_H */
