/****************************************************************************

 ■PhotoFrame
	RTC(RX8900)
        Copyright(C) 2018 Denshi Usagi

****************************************************************************/

#ifndef RTC_H
#define RTC_H

#include <time.h>

class CRTC
{
public:
	CRTC();

	bool Initialize(void);
	void SetTimer(time_t time);
	void ClearTimer(void);
	double GetTempture(void);

private:
	bool Reset(void);
	bool SetCurrent(void);
	void GetTime(struct tm* pTm);

private:
	time_t m_tTimer;
	int m_I2C;
};

#endif /* RTC_H */
